import ViewportLayerModel from "@esko/web-viewer/viewport/model/ViewportLayerModel";
import ViewportVideoLayer from "../viewport/ViewportVideoLayer";

var VideoLayerModel = function(f, IID) {
	ViewportLayerModel.call(this, f, IID);
};

VideoLayerModel.prototype = Object.create(ViewportLayerModel.prototype);
VideoLayerModel.prototype.constructor = VideoLayerModel;

VideoLayerModel.prototype.getType = function() {
	return "Video";
};

VideoLayerModel.prototype.getLayerImplementation = function() {
	return ViewportVideoLayer;
};

export default VideoLayerModel;
